<?php
/**
 * UTF-8 Case lookup table
 *
 * This lookuptable defines the lower case letters to their corresponding
 * upper case letter in UTF-8
 *
 * @author Andreas Gohr <andi@splitbrain.org>
 */
return [
    'A' => 'a',
    'Ａ' => 'ａ',
    'Á' => 'á',
    'À' => 'à',
    'Ă' => 'ă',
    'Ắ' => 'ắ',
    'Ẵ' => 'ẵ',
    'Ẳ' => 'ẳ',
    'Â' => 'â',
    'Ấ' => 'ấ',
    'Ầ' => 'ầ',
    'Ẫ' => 'ẫ',
    'Ǎ' => 'ǎ',
    'Å' => 'å',
    'Ǻ' => 'ǻ',
    'Ä' => 'ä',
    'Ǟ' => 'ǟ',
    'Ã' => 'ã',
    'Ǡ' => 'ǡ',
    'Ą' => 'ą',
    'Ā' => 'ā',
    'Ả' => 'ả',
    'Ȁ' => 'ȁ',
    'Ȃ' => 'ȃ',
    'Ặ' => 'ặ',
    'Ậ' => 'ậ',
    'Ḁ' => 'ḁ',
    'Æ' => 'æ',
    'Ǽ' => 'ǽ',
    'Ǣ' => 'ǣ',
    'Ｂ' => 'ｂ',
    'Ḃ' => 'ḃ',
    'Ḅ' => 'ḅ',
    'Ḇ' => 'ḇ',
    'Ɓ' => 'ɓ',
    'Ƃ' => 'ƃ',
    'Ｃ' => 'ｃ',
    'Ć' => 'ć',
    'Ĉ' => 'ĉ',
    'Č' => 'č',
    'Ċ' => 'ċ',
    'Ç' => 'ç',
    'Ƈ' => 'ƈ',
    'D' => 'd',
    'Ｄ' => 'ｄ',
    'Ď' => 'ď',
    'Ḋ' => 'ḋ',
    'Ḑ' => 'ḑ',
    'Ḍ' => 'ḍ',
    'Ḓ' => 'ḓ',
    'Ḏ' => 'ḏ',
    'Ð' => 'ð',
    'ǲ' => 'ǳ', //FIXME
    'ǅ' => 'ǆ', //FIXME
    'Ɗ' => 'ɗ',
    'Ƌ' => 'ƌ',
    'E' => 'e',
    'Ｅ' => 'ｅ',
    'É' => 'é',
    'È' => 'è',
    'Ê' => 'ê',
    'Ế' => 'ế',
    'Ề' => 'ề',
    'Ễ' => 'ễ',
    'Ể' => 'ể',
    'Ě' => 'ě',
    'Ẽ' => 'ẽ',
    'Ė' => 'ė',
    'Ȩ' => 'ȩ',
    'Ḝ' => 'ḝ',
    'Ę' => 'ę',
    'Ē' => 'ē',
    'Ḕ' => 'ḕ',
    'Ẻ' => 'ẻ',
    'Ȅ' => 'ȅ',
    'Ȇ' => 'ȇ',
    'Ẹ' => 'ẹ',
    'Ệ' => 'ệ',
    'Ḛ' => 'ḛ',
    'Ǝ' => 'ǝ',
    'Ə' => 'ə',
    'Ɛ' => 'ɛ',
    'F' => 'f',
    'Ｆ' => 'ｆ',
    'Ƒ' => 'ƒ',
    'G' => 'g',
    'Ｇ' => 'ｇ',
    'Ǵ' => 'ǵ',
    'Ğ' => 'ğ',
    'Ĝ' => 'ĝ',
    'Ġ' => 'ġ',
    'Ģ' => 'ģ',
    'Ḡ' => 'ḡ',
    'Ǥ' => 'ǥ',
    'Ɣ' => 'ɣ',
    'Ƣ' => 'ƣ',
    'Ｈ' => 'ｈ',
    'Ĥ' => 'ĥ',
    'Ȟ' => 'ȟ',
    'Ḧ' => 'ḧ',
    'Ḣ' => 'ḣ',
    'Ḩ' => 'ḩ',
    'Ḥ' => 'ḥ',
    'Ḫ' => 'ḫ',
    'Ƕ' => 'ƕ',
    'I' => 'i',
    'Ｉ' => 'ｉ',
    'Í' => 'í',
    'Ĭ' => 'ĭ',
    'Î' => 'î',
    'Ǐ' => 'ǐ',
    'Ï' => 'ï',
    'Ḯ' => 'ḯ',
    'Ĩ' => 'ĩ',
    'Ī' => 'ī',
    'Ỉ' => 'ỉ',
    'Ȉ' => 'ȉ',
    'Ȋ' => 'ȋ',
    'Ị' => 'ị',
    'Ḭ' => 'ḭ',
    'Ɨ' => 'ɨ',
    'Ɩ' => 'ɩ',
    'J' => 'j',
    'Ｊ' => 'ｊ',
    'Ĵ' => 'ĵ',
    'K' => 'k',
    'Ḱ' => 'ḱ',
    'Ǩ' => 'ǩ',
    'Ķ' => 'ķ',
    'Ḳ' => 'ḳ',
    'Ḵ' => 'ḵ',
    'Ƙ' => 'ƙ',
    'Ｌ' => 'ｌ',
    'Ĺ' => 'ĺ',
    'Ľ' => 'ľ',
    'Ļ' => 'ļ',
    'Ł' => 'ł',
    'Ḷ' => 'ḷ',
    'Ḽ' => 'ḽ',
    'Ḻ' => 'ḻ',
    'Ŀ' => 'ŀ',
    'ǈ' => 'ǉ', // FIXME
    'M' => 'm',
    'Ｍ' => 'ｍ',
    'Ṁ' => 'ṁ',
    'Ṃ' => 'ṃ',
    'N' => 'n',
    'Ｎ' => 'ｎ',
    'Ń' => 'ń',
    'Ǹ' => 'ǹ',
    'Ñ' => 'ñ',
    'Ṅ' => 'ṅ',
    'Ņ' => 'ņ',
    'Ṇ' => 'ṇ',
    'Ṋ' => 'ṋ',
    'Ṉ' => 'ṉ',
    'Ɲ' => 'ɲ',
    'Ƞ' => 'ƞ',
    'Ŋ' => 'ŋ',
    'O' => 'o',
    'Ｏ' => 'ｏ',
    'Ó' => 'ó',
    'Ŏ' => 'ŏ',
    'Ô' => 'ô',
    'Ố' => 'ố',
    'Ồ' => 'ồ',
    'Ỗ' => 'ỗ',
    'Ổ' => 'ổ',
    'Ö' => 'ö',
    'Ȫ' => 'ȫ',
    'Ő' => 'ő',
    'Õ' => 'õ',
    'Ṍ' => 'ṍ',
    'Ṏ' => 'ṏ',
    'Ȯ' => 'ȯ',
    'Ȱ' => 'ȱ',
    'Ø' => 'ø',
    'Ǿ' => 'ǿ',
    'Ǫ' => 'ǫ',
    'Ǭ' => 'ǭ',
    'Ṓ' => 'ṓ',
    'Ṑ' => 'ṑ',
    'Ỏ' => 'ỏ',
    'Ȍ' => 'ȍ',
    'Ȏ' => 'ȏ',
    'Ơ' => 'ơ',
    'Ờ' => 'ờ',
    'Ỡ' => 'ỡ',
    'Ở' => 'ở',
    'Ợ' => 'ợ',
    'Ọ' => 'ọ',
    'Ộ' => 'ộ',
    'Ɔ' => 'ɔ',
    'Ɵ' => 'ɵ',
    'Ȣ' => 'ȣ',
    'P' => 'p',
    'Ｐ' => 'ｐ',
    'Ṕ' => 'ṕ',
    'Ƥ' => 'ƥ',
    'Q' => 'q',
    'Ｑ' => 'ｑ',
    'R' => 'r',
    'Ｒ' => 'ｒ',
    'Ŕ' => 'ŕ',
    'Ṙ' => 'ṙ',
    'Ŗ' => 'ŗ',
    'Ȑ' => 'ȑ',
    'Ȓ' => 'ȓ',
    'Ṛ' => 'ṛ',
    'Ṝ' => 'ṝ',
    'Ʀ' => 'ʀ',
    'S' => 's',
    'Ｓ' => 'ｓ',
    'Ś' => 'ś',
    'Ṥ' => 'ṥ',
    'Ŝ' => 'ŝ',
    'Ṧ' => 'ṧ',
    'Ṡ' => 'ṡ',
    'Ş' => 'ş',
    'Ṣ' => 'ṣ',
    'Ṩ' => 'ṩ',
    'Ș' => 'ș',
    'T' => 't',
    'Ｔ' => 'ｔ',
    'Ť' => 'ť',
    'Ṫ' => 'ṫ',
    'Ţ' => 'ţ',
    'Ṭ' => 'ṭ',
    'Ṱ' => 'ṱ',
    'Ṯ' => 'ṯ',
    'Ŧ' => 'ŧ',
    'Ƭ' => 'ƭ',
    'Ʈ' => 'ʈ',
    'U' => 'u',
    'Ú' => 'ú',
    'Ù' => 'ù',
    'Ŭ' => 'ŭ',
    'Û' => 'û',
    'Ǔ' => 'ǔ',
    'Ů' => 'ů',
    'Ǘ' => 'ǘ',
    'Ǜ' => 'ǜ',
    'Ǚ' => 'ǚ',
    'Ǖ' => 'ǖ',
    'Ű' => 'ű',
    'Ũ' => 'ũ',
    'Ų' => 'ų',
    'Ū' => 'ū',
    'Ṻ' => 'ṻ',
    'Ủ' => 'ủ',
    'Ȕ' => 'ȕ',
    'Ȗ' => 'ȗ',
    'Ứ' => 'ứ',
    'Ừ' => 'ừ',
    'Ữ' => 'ữ',
    'Ử' => 'ử',
    'Ự' => 'ự',
    'Ụ' => 'ụ',
    'Ṷ' => 'ṷ',
    'Ṵ' => 'ṵ',
    'Ɯ' => 'ɯ',
    'Ʊ' => 'ʊ',
    'V' => 'v',
    'Ｖ' => 'ｖ',
    'Ṿ' => 'ṿ',
    'Ʋ' => 'ʋ',
    'W' => 'w',
    'Ｗ' => 'ｗ',
    'Ẃ' => 'ẃ',
    'Ẁ' => 'ẁ',
    'Ẅ' => 'ẅ',
    'Ẇ' => 'ẇ',
    'Ẉ' => 'ẉ',
    'X' => 'x',
    'Ｘ' => 'ｘ',
    'Ẍ' => 'ẍ',
    'Y' => 'y',
    'Ｙ' => 'ｙ',
    'Ý' => 'ý',
    'Ỳ' => 'ỳ',
    'Ŷ' => 'ŷ',
    'Ÿ' => 'ÿ',
    'Ẏ' => 'ẏ',
    'Ȳ' => 'ȳ',
    'Ỷ' => 'ỷ',
    'Ỵ' => 'ỵ',
    'Ƴ' => 'ƴ',
    'Ȝ' => 'ȝ',
    'Ｚ' => 'ｚ',
    'Ź' => 'ź',
    'Ẑ' => 'ẑ',
    'Ž' => 'ž',
    'Ż' => 'ż',
    'Ẓ' => 'ẓ',
    'Ƶ' => 'ƶ',
    'Ȥ' => 'ȥ',
    'Ʒ' => 'ʒ',
    'Ǯ' => 'ǯ',
    'Ƹ' => 'ƹ',
    'Þ' => 'þ',
    'Ƨ' => 'ƨ',
    'Ƽ' => 'ƽ',
    'Ƅ' => 'ƅ',
    'Α' => 'α',
    'Ἀ' => 'ἀ',
    'Ἄ' => 'ἄ',
    'Ἂ' => 'ἂ',
    'ᾊ' => 'ᾂ',
    'Ἆ' => 'ἆ',
    'ᾎ' => 'ᾆ',
    'ᾈ' => 'ᾀ',
    'Ἁ' => 'ἁ',
    'ᾍ' => 'ᾅ',
    'Ἃ' => 'ἃ',
    'ᾋ' => 'ᾃ',
    'Ἇ' => 'ἇ',
    'ᾏ' => 'ᾇ',
    'ᾉ' => 'ᾁ',
    'Ὰ' => 'ὰ',
    'Ᾰ' => 'ᾰ',
    'Ᾱ' => 'ᾱ',
    'ᾼ' => 'ᾳ',
    'Β' => 'β',
    'Γ' => 'γ',
    'Ε' => 'ε',
    'Ἐ' => 'ἐ',
    'Ἔ' => 'ἔ',
    'Ἒ' => 'ἒ',
    'Ἑ' => 'ἑ',
    'Ἕ' => 'ἕ',
    'Έ' => 'έ',
    'Ὲ' => 'ὲ',
    'Ϝ' => 'ϝ',
    'Ϛ' => 'ϛ',
    'Ζ' => 'ζ',
    'Η' => 'η',
    'ᾜ' => 'ᾔ',
    'Ἢ' => 'ἢ',
    'ᾚ' => 'ᾒ',
    'Ἦ' => 'ἦ',
    'ᾞ' => 'ᾖ',
    'ᾘ' => 'ᾐ',
    'Ἥ' => 'ἥ',
    'ᾝ' => 'ᾕ',
    'Ἣ' => 'ἣ',
    'ᾛ' => 'ᾓ',
    'Ἧ' => 'ἧ',
    'ᾟ' => 'ᾗ',
    'Ή' => 'ή',
    'Ὴ' => 'ὴ',
    'ῌ' => 'ῃ',
    'Θ' => 'θ',
    'Ι' => 'ι',
    'Ἰ' => 'ἰ',
    'Ἲ' => 'ἲ',
    'Ἶ' => 'ἶ',
    'Ἱ' => 'ἱ',
    'Ἵ' => 'ἵ',
    'Ἳ' => 'ἳ',
    'Ἷ' => 'ἷ',
    'Ὶ' => 'ὶ',
    'Ῐ' => 'ῐ',
    'Ϊ' => 'ϊ',
    'Ῑ' => 'ῑ',
    'Κ' => 'κ',
    'Λ' => 'λ',
    'Ν' => 'ν',
    'Ξ' => 'ξ',
    'Ο' => 'ο',
    'Ὀ' => 'ὀ',
    'Ὄ' => 'ὄ',
    'Ὂ' => 'ὂ',
    'Ὅ' => 'ὅ',
    'Ὃ' => 'ὃ',
    'Ό' => 'ό',
    'Ὸ' => 'ὸ',
    'Π' => 'π',
    'Ϟ' => 'ϟ',
    'Ρ' => 'ρ',
    'Ῥ' => 'ῥ',
    'Σ' => 'ς',
    'Τ' => 'τ',
    'Υ' => 'υ',
    'Ὑ' => 'ὑ',
    'Ὓ' => 'ὓ',
    'Ὗ' => 'ὗ',
    'Ύ' => 'ύ',
    'Ὺ' => 'ὺ',
    'Ϋ' => 'ϋ',
    'Ῡ' => 'ῡ',
    'Χ' => 'χ',
    'Ψ' => 'ψ',
    'Ω' => 'ω',
    'Ὤ' => 'ὤ',
    'ᾬ' => 'ᾤ',
    'Ὢ' => 'ὢ',
    'Ὦ' => 'ὦ',
    'ᾮ' => 'ᾦ',
    'Ὡ' => 'ὡ',
    'Ὥ' => 'ὥ',
    'ᾭ' => 'ᾥ',
    'Ὣ' => 'ὣ',
    'Ὧ' => 'ὧ',
    'ᾯ' => 'ᾧ',
    'ᾩ' => 'ᾡ',
    'Ώ' => 'ώ',
    'Ὼ' => 'ὼ',
    'ῼ' => 'ῳ',
    'Ϣ' => 'ϣ',
    'Ϥ' => 'ϥ',
    'Ϧ' => 'ϧ',
    'Ϩ' => 'ϩ',
    'Ϫ' => 'ϫ',
    'Ϭ' => 'ϭ',
    'А' => 'а',
    'Ӑ' => 'ӑ',
    'Ӓ' => 'ӓ',
    'Ә' => 'ә',
    'Ӛ' => 'ӛ',
    'Ӕ' => 'ӕ',
    'В' => 'в',
    'Г' => 'г',
    'Ѓ' => 'ѓ',
    'Ґ' => 'ґ',
    'Ғ' => 'ғ',
    'Ҕ' => 'ҕ',
    'Ԁ' => 'ԁ',
    'Ђ' => 'ђ',
    'Ԃ' => 'ԃ',
    'Ҙ' => 'ҙ',
    'Е' => 'е',
    'Ѐ' => 'ѐ',
    'Ё' => 'ё',
    'Є' => 'є',
    'Ж' => 'ж',
    'Ӂ' => 'ӂ',
    'Ӝ' => 'ӝ',
    'Җ' => 'җ',
    'Ӟ' => 'ӟ',
    'Ԅ' => 'ԅ',
    'Ѕ' => 'ѕ',
    'Ӡ' => 'ӡ',
    'Ԇ' => 'ԇ',
    'И' => 'и',
    'Ӥ' => 'ӥ',
    'Ӣ' => 'ӣ',
    'Ҋ' => 'ҋ',
    'І' => 'і',
    'Ї' => 'ї',
    'Й' => 'й',
    'К' => 'к',
    'Ќ' => 'ќ',
    'Қ' => 'қ',
    'Ӄ' => 'ӄ',
    'Ҡ' => 'ҡ',
    'Ҟ' => 'ҟ',
    'Л' => 'л',
    'Ӆ' => 'ӆ',
    'Љ' => 'љ',
    'Ԉ' => 'ԉ',
    'М' => 'м',
    'Ӎ' => 'ӎ',
    'Ӊ' => 'ӊ',
    'Ң' => 'ң',
    'Ӈ' => 'ӈ',
    'Ҥ' => 'ҥ',
    'Њ' => 'њ',
    'Ԋ' => 'ԋ',
    'Ӧ' => 'ӧ',
    'Ө' => 'ө',
    'Ӫ' => 'ӫ',
    'П' => 'п',
    'Ҧ' => 'ҧ',
    'Ҁ' => 'ҁ',
    'Ҏ' => 'ҏ',
    'С' => 'с',
    'Ԍ' => 'ԍ',
    'Ҫ' => 'ҫ',
    'Т' => 'т',
    'Ԏ' => 'ԏ',
    'Ћ' => 'ћ',
    'У' => 'у',
    'Ў' => 'ў',
    'Ӱ' => 'ӱ',
    'Ӳ' => 'ӳ',
    'Ӯ' => 'ӯ',
    'Ұ' => 'ұ',
    'Ѹ' => 'ѹ',
    'Ф' => 'ф',
    'Х' => 'х',
    'Ҳ' => 'ҳ',
    'Һ' => 'һ',
    'Ѿ' => 'ѿ',
    'Ѽ' => 'ѽ',
    'Ѻ' => 'ѻ',
    'Ц' => 'ц',
    'Ҵ' => 'ҵ',
    'Ч' => 'ч',
    'Ҷ' => 'ҷ',
    'Ӌ' => 'ӌ',
    'Ҹ' => 'ҹ',
    'Ҽ' => 'ҽ',
    'Ҿ' => 'ҿ',
    'Џ' => 'џ',
    'Щ' => 'щ',
    'Ъ' => 'ъ',
    'Ы' => 'ы',
    'Ӹ' => 'ӹ',
    'Ь' => 'ь',
    'Ҍ' => 'ҍ',
    'Э' => 'э',
    'Ӭ' => 'ӭ',
    'Ю' => 'ю',
    'Я' => 'я',
    'Ѥ' => 'ѥ',
    'Ѧ' => 'ѧ',
    'Ѩ' => 'ѩ',
    'Ѭ' => 'ѭ',
    'Ѯ' => 'ѯ',
    'Ѱ' => 'ѱ',
    'Ѳ' => 'ѳ',
    'Ѵ' => 'ѵ',
    'Ҩ' => 'ҩ',
    'Ա' => 'ա',
    'Բ' => 'բ',
    'Գ' => 'գ',
    'Դ' => 'դ',
    'Ե' => 'ե',
    'Է' => 'է',
    'Ը' => 'ը',
    'Թ' => 'թ',
    'Ժ' => 'ժ',
    'Ի' => 'ի',
    'Լ' => 'լ',
    'Ծ' => 'ծ',
    'Կ' => 'կ',
    'Հ' => 'հ',
    'Ձ' => 'ձ',
    'Ղ' => 'ղ',
    'Ճ' => 'ճ',
    'Յ' => 'յ',
    'Ն' => 'ն',
    'Շ' => 'շ',
    'Ո' => 'ո',
    'Չ' => 'չ',
    'Պ' => 'պ',
    'Ռ' => 'ռ',
    'Ս' => 'ս',
    'Վ' => 'վ',
    'Տ' => 'տ',
    'Ր' => 'ր',
    'Ց' => 'ց',
    'Փ' => 'փ',
    'Ք' => 'ք',
    'Օ' => 'օ',
    'Ֆ' => 'ֆ',
];
